Copyright

Microsoft® Visual Studio™ 6.0 Development System

Information in this document is subject to change without notice. The names of companies, products, people, characters, and/or data mentioned herein are fictitious and are in no way intended to represent any real individual, company, product, or event, unless otherwise noted. Complying with all applicable copyright laws is the responsibility of the user. No part of this document may be reproduced or transmitted in any form or by any means, electronic or mechanical, for any purpose, without the express written permission of Microsoft Corporation. If, however, your only means of access is electronic, permission to print one copy is hereby granted.

Microsoft may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Microsoft, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

© 1991-1998 Microsoft Corporation. All rights reserved.

Microsoft, MS, MSDN, MS-DOS, MSN, ActiveX, Authenticode, DataTips, FoxPro, the Fox head design, FrontPage, IntelliMouse, IntelliSense, Developer Studio, J/Direct, JScript, Microsoft Press, Microsoft QuickBasic, PivotTable, Rushmore, Visual Basic, Visual C++, Visual FoxPro, Visual InterDev, Visual J++, Visual SourceSafe, Windows, Windows NT, Win32, and Win32s are either registered trademarks or trademarks of Microsoft Corporation in the U.S.A. and/or other countries.

Java is a trademark of Sun Microsystems, Inc.

MMX is a registered trademark of Intel Corporation.

TrueType is a registered trademark of Apple Computer, Inc.

Excerpts from code published in Microsoft Systems Journal appear in portions of this product.

Other product and company names mentioned herein may be the trademarks of their respective owners.


Accessibility for People with Disabilities

Microsoft is committed to making its products and services easier for everyone to use. This Help file provides information about the following features, products, and services that make Microsoft® Windows®, Microsoft Windows NT®, and Microsoft Visual Studio™ more accessible for people with disabilities:

Microsoft services for people who are deaf or hard-of-hearing

Microsoft documentation in alternative formats

Third-party utilities to enhance accessibility

Customizing Windows or Windows NT

More accessibility information

Microsoft Visual C++ Accessibility

Note The information in this section applies only to users who purchased Windows or Windows NT in the United States. If you purchased Windows or Windows NT outside the United States, your Windows package contains a subsidiary information card listing Microsoft Support Services telephone numbers and addresses. You can contact your subsidiary to find out whether the type of products and services described in this Help file are available in your area.


Microsoft Services for People Who Are Deaf or Hard-of-Hearing

If you are deaf or hard-of-hearing, complete access to Microsoft products and customer services is available through a text telephone (TT/TDD) service.

Sales Information

You can contact the Microsoft Sales Information Center on a text telephone by dialing (800) 892-5234 between 6:30 a.m. and 5:30 p.m. Pacific time.

Technical Assistance

For technical assistance in the United States, you can contact Microsoft Support Network on a text telephone at (425) 635-4948 between 6:00 a.m. and 6:00 p.m. Pacific time, Monday through Friday, excluding holidays. In Canada, call (905) 568-9641 between 8:00 a.m. and 8:00 p.m. Eastern time, Monday through Friday, excluding holidays. Microsoft support services are subject to Microsoft prices, terms, and conditions in place at the time the service is used.


Microsoft Documentation in Alternative Formats

In addition to the standard forms of documentation, many Microsoft products are available in other formats to make them more accessible.

Many of the Visual Studio 6.0 documents are also available in online viewer format, or in print. If you have difficulty reading or handling printed documentation, you can obtain many Microsoft publications from Recording for the Blind & Dyslexic, Inc. Recording for the Blind & Dyslexic distributes these documents to registered, eligible members of their distribution service, either on audio cassettes or on disks. The Recording for the Blind & Dyslexic collection contains more than 80,000 titles, including Microsoft product documentation and books from Microsoft Press.

You can contact Recording for the Blind & Dyslexic at the following address or phone numbers for information about eligibility and availability of Microsoft product documentation and books from Microsoft Press:

Recording for the Blind & Dyslexic, Inc.
20 Roszel Road
Princeton, NJ 08540 		Phone:
Fax:
World Wide Web: 		(609) 452-0606
(609) 987-8116
http://www.rfbd.org


Third-Party Utilities to Enhance Accessibility

A wide variety of third-party hardware and software products are available to make it easier to use personal computers. Among the different types of products available for the MS-DOS®, Windows, and Windows NT operating systems are:

  • Programs that enlarge or alter the color of information on the screen.

  • Programs that describe information on the screen in Braille or synthesized speech.

  • Hardware and software utilities that modify the behavior of the mouse and keyboard.

  • Programs that enable people to "type" using a mouse or their voice.

  • Word or phrase prediction software that enables people to type more quickly and with fewer keystrokes.

  • Alternate input devices, such as single switch or puff-and-sip devices.

To learn more about these products, see the topic "More Accessibility Information."


Customizing Windows or Windows NT

There are many ways you can customize Windows or Windows NT to make your computer more accessible.

  • Beginning with Windows 95, accessibility features are built into Windows. These features are useful for individuals who have difficulty typing or using a mouse, have moderately impaired vision, or who are deaf or hard-of-hearing. The features can be installed during Setup, or you can add them later from your Windows 95 installation disks. Look up "accessibility" in the Windows Help Index for information about installing and using these features.

  • Many of the features that make Windows 95 more accessible can be added to Windows NT, earlier versions of Microsoft Windows, and MS-DOS through Access Packs. You can download these files by modem, or you can order them on disks from Microsoft.

  • You can also use Control Panel and other built-in features to adjust the appearance and behavior of Windows or Windows NT to suit varying vision and motor abilities. These include adjusting colors and sizes, sound volume, and the behavior of the mouse and keyboard.

  • Dvorak keyboard layouts make the most frequently typed characters on a keyboard more accessible if you have difficulty using the standard "QWERTY" layout. There are three Dvorak layouts: one if you are a two-handed user, one if you type with your left hand only, and one if you type with your right hand only. You do not need to purchase any special equipment to use these features.

The specific features available, and whether they are built in or must be obtained separately, depend on which operating system you are using.

For full documentation on the accessibility features available in the operating system you are using, obtain the appropriate application notes listed below. Accessibility features are also documented in the Microsoft Windows 95 Resource Kit and the Microsoft Windows NT Resource Kit.

Which Files to Download or Order

You can obtain these files by downloading them with your modem, or you can order them on disks by phone. Specific information about downloading or ordering these files immediately follows the list below.

These files include:

  • Application notes providing more complete documentation on ways to customize Windows and Windows NT.

  • Access Packs and Dvorak keyboard layouts providing additional features for versions of Windows or Windows NT in which they are not already included.
For | You need
Application notes for Microsoft Windows 95 | Ww1062.exe
Application notes for Microsoft Windows NT 3.1 and 3.5 (includes Access Pack for Microsoft Windows NT) | Wn0789.exe
Application notes for Microsoft Windows for Workgroups 3.1 | Wg0788.txt
Application notes for Microsoft Windows 3.1 | Ww0787.txt
Application notes for Microsoft Windows 3.0 | Ww0786.txt
Access Pack for Microsoft Windows 3.0 and 3.1 | Accp.exe
Dvorak keyboard layouts for people who type with one hand (already included in Windows NT 3.5 and higher) | Ga0650.exe (Most network services), Ga0650.zip (Microsoft Download Service)

To Download the Access Packs, Application Notes, and Alternative Keyboard Layouts by Modem

If you have a modem, you can download these files from the following network services:

  • Microsoft’s World Wide Web site on the Internet. On the www.microsoft.com home page, click Support. Click Knowledge Base, and select MS-DOS as the product. Enter KBFILE GA0650.EXE, and click GO! Open the article, and click the button to download the file.

  • Microsoft’s Internet server, ftp.microsoft.com, in /softlib/mslfiles.

  • MSN™, The Microsoft Network online service.

  • CompuServe®. Type GO MSL.

  • Genie®.

  • Microsoft Download Service (MSDL), which you can reach by calling (425) 936-6735 any time except between 1:00 A.M. and 2:30 A.M. Pacific time.

  • MSDL supports 1200, 2400, 9600, 14400, or 28800 baud rates (V.32 and V.42), with 8 data bits, no parity, and 1 stop bit.

  • Various user-group bulletin boards (such as the bulletin-board services on the Association of PC User Groups network).

To Order the Access Packs, Application Notes, and Alternative Keyboard Layouts on Disks by Phone

If you do not have a modem, within the United States you can order the Access Packs, Application Notes, and Alternative Layouts on disks by calling Microsoft Sales Information Center at (800) 426-9400 (voice) or (800) 892-5234 (text telephone).

In Canada, you can call (905) 568-3503 or (905) 568-9641 (text telephone).


Microsoft Visual C++ Accessibility

Enlarging Toolbar Buttons

To enlarge toolbar buttons

  1. On the Tools menu, click Customize.

  2. Click Toolbars, and then select the Large Icons check box.

Enlarging Text in the Code Window

To enlarge text in the Code window

  1. On the Tools menu, click Options.

  2. Click the Format tab.

  3. In the Colors group box, select the Text entry in the list box, and then set the font and size you prefer.

Turning on Screen Reader Compatible Menus

Visual C++ uses a custom version of Command Bars, which does not include Microsoft Active Accessibility (MSAA) support. However, you can turn on standard Windows menus and toolbars instead, allowing your screen reader to access them.

To use Screen Reader Compatible Menus

  1. On the Tools menu, click Options.

  2. Select the Use Screen Reader Compatible Menus check box on the Workspace tab.

Customizing the Keyboard

Visual C++ supports Dvorak keyboard layouts, which make the most frequently typed characters more accessible. Also, you can create your own keyboard scheme, with your own accelerators.

To customize your keyboard

  1. On the Tools menu, click Customize.

  2. Click the Keyboard tab.

Rearranging Windows

You can select the windows you want docked by using the list on the Workspace tab of the Options dialog box, available on the Tools menu. When a window is not docked, it becomes an MDI child window, letting you access one window at a time. If you are blind, you may find this setting preferable.

Customizing the Controls Toolbar

You can customize the Controls toolbar by adding controls to it.

To add a control to the Controls toolbar

  1. On the Project menu, point to Add to Project, and then click Components and Controls.

  2. In the Components and Controls Gallery dialog box, open a subfolder and select a control.

  3. Click Insert.

  4. Click OK in the confirmation dialog box.

  5. Click OK in the Confirm Classes dialog box to accept the default names for the control classes, or modify them and then click OK.

  6. When you are finished adding controls, click Close.

Note The Controls toolbar is available within the Dialog editor. To display the Controls toolbar, right-click on an empty part of the menu bar and select Controls from the shortcut menu.

Providing Visual Cues while Editing Code

Margin Indicators in the Code window enable you to provide visual cues to certain actions while editing your code. The Indicators appear on the left margin of the Code window. You can click to select or clear the Selection Margin in the Editor tab of the Options dialog box (Tools menu).

Adding Prompts for Methods and Parameters

The Visual C++ text editor includes a new feature called Statement Completion. Statement Completion enables you to display pop-up windows in the text editor that prompt you with available members for the current object and the parameters that complete a function or statement. These pop-up windows can be helpful if you have difficulty typing. However, they do interfere with focus in the Text editor, which can be problematic for some users. You can turn off these pop-up windows by clearing the Auto list members and Auto parameter info check boxes in the Editor tab of the Options dialog box (Tools menu). For more information about Statement Completion, see "About Automatic Statement Completion" in the Visual C++ online documentation.


More Accessibility Information

Other products, services, and resources are available from Microsoft and other organizations.

Additional Microsoft Products and Services for People with Disabilities

For more information, contact:

Microsoft Sales Information Center
One Microsoft Way
Redmond, WA 98052-6393 		World Wide Web:
Voice telephone:
Text telephone: 		http://www.microsoft.com
(800) 426-9400
(800) 892-5234

Directories of Computer Products That Help People with Disabilities

The Trace R&D Center at the University of Wisconsin–Madison produces a book and a compact disc describing products that help people with disabilities use computers. The book, titled Trace ResourceBook, provides descriptions and photographs of about 2,000 products. The compact disc, titled CO-NET CD, provides a database of more than 18,000 products and other information for people with disabilities. It is issued twice a year.

To obtain these directories, contact:

Trace R&D Center
University of Wisconsin
S-151 Waisman Center
1500 Highland Avenue
Madison, WI 53705-2280 		World Wide Web:
Fax:
 http://trace.wisc.edu
(608) 262-8848

Referrals to Assistive Technology Programs and Trained Evaluators

For general information and recommendations on how computers can help specific needs, you should consult a trained evaluator. An assistive technology program in your area will provide referrals to programs and services that are available to you.

To locate the assistive technology program nearest you, contact:

National Information System
University of South Carolina
Center for Developmental Disabilities
Columbia, SC 29208 		Voice/text telephone:
Fax: 		(803) 935-5231
(803) 935-5059


Technical Support

Getting Help from Microsoft Technical Support

If you can’t find the answers you need in the product Help file or manual, you can resolve problems quickly through one of several options.

Note The services and prices listed here are available in the United States and Canada only and are subject to change without notice. Support outside the United States and Canada may vary. Contact the Microsoft subsidiary nearest you, using the Worldwide Subsidiary list in this product Help file.

Support Online

Standard No-Charge Support

Pay-Per-Incident Support

Web Response

Additional Support

Support Outside the United States and Canada


If You Have a Simple Question and Need an Answer Fast

Quickly find your answers online

Use Support Online to search the Microsoft Knowledge Base and other technical resources for fast, accurate answers. You can also customize the site to control your search. To begin your search, go to http://support.microsoft.com/support. For additional technical resources and information on developing with Microsoft products and technologies, visit MSDN online at http://www.microsoft.com/msdn.


If Your Question is Urgent and More Complex

Telephone a Microsoft Technical Support engineer

Microsoft Technical Support provides no-charge and fee-based support via telephone. The amount of no-charge support will vary depending on which edition of the product you acquired, as described below.

Standard No-Charge Support for help during regular business hours

Note No-Charge Support is available for current versions only. No-Charge Support is not available for trial or limited-evaluation versions, or pre-release versions of Microsoft products, such as previews, technical previews, or preview programs.

  • If you acquired Visual Studio Professional Edition, Visual Basic Enterprise Edition, or Visual C++ Enterprise Edition

    You will receive a total of two support incidents at no charge. You can apply these two no-charge incidents toward any of the products included in the edition you acquired. For additional information, see note below.

  • If you acquired Visual Studio Enterprise Edition

    You will receive a total of four support incidents at no charge. You can apply these four no-charge incidents toward any of the products included in the Visual Studio Enterprise Edition. For additional information, see note below.

  • If you acquired Visual Basic Professional Edition, Visual C++ Professional Edition, Visual J++, Visual InterDev, Visual FoxPro, or Visual Source Safe

    You will receive a total of two support incidents at no charge for the product you acquired.

To receive Standard No-Charge Support for the products described above

You can receive Standard No-Charge Support via e-mail or via telephone by calling (425) 635-7012 between 6:00 A.M. and 6:00 P.M. Pacific time, Monday through Friday, excluding holidays.

Note Microsoft Internet Explorer, Windows NT Option Pack, and FrontPage may have been included with one of the products you have acquired, however the available support options are separate from those listed above. If you have a question regarding any of these products, please see the technical support section of the individual product’s Help file.

Visual J++ Technical Previews may have been included with one of the products you have acquired. These technical previews are pre-release versions for which technical support is not available. You may be eligible for retail fulfillment of Visual J++ upon its official release, at which time technical support will be available.

  • If you acquired Visual Basic Learning Edition, Visual C++ Standard Edition, Visual J++ Standard Edition, or MSDN Library Edition

    You will receive no-charge support for issues related to setup and installation only. For all other issues you will need to purchase Pay-Per-Incident Support as described below. You can receive Standard No-Charge Support via telephone by calling (425) 635-7033 between 6:00 A.M. and 6:00 P.M. Pacific time, Monday through Friday, excluding holidays.

Pay-Per-Incident Support - for help after-hours or to supplement Standard Support

If you need help after-hours, or if you have used up your incidents of Standard No-Charge Support as described above, you can purchase Pay-Per-Incident Support for a fee of $95 U.S. per incident by calling (800) 936-5800. Support fees will be billed to your VISA, MasterCard, or American Express card. In the United States, you can also call (900) 555-2300 to have support fees applied to your telephone bill.


If Your Question Isn't Urgent

Send E-mail to a Microsoft Technical Support Engineer

With Web Response, you can conveniently submit questions via e-mail. This option is ideal for detailed questions or questions with attached files. You can submit questions 24 hours a day and will receive a response from an engineer within one business day. To submit your question, go to http://support.microsoft.com/support, find the Web Response option and choose from one of the following options.

Standard No-Charge Web Response

The amount of no-charge support for which you are eligible is described in the preceding Standard No-Charge Support section.

Pay-Per-Incident Web Response

If you have used up your Standard No-Charge Support as described above, you can submit your question for a fee of $95 U.S.


For Additional Support Needs

If you don’t have access to the Internet

FastTips is an automated toll-free, fax-back service that provides popular Knowledge Base articles and quick answers to common technical questions. To gain access, dial (800) 936-4300.

If you need support services for a small, medium-sized, or large business

Priority Annual Support, Priority Plus, and Premier Support provide a selection of annual support packages that are geared for businesses. To determine which account best meets your business needs, go to http://support.microsoft.com/support. Or call (800) 936-3500 for information on support options for small- to medium-sized businesses or (800) 936-3200 for large, enterprise businesses.

If you need on-site, multivendor, or proprietary product support

Microsoft Certified Solution Providers and Authorized Support Centers specialize in providing support packages for hardware, network, and software products from both Microsoft and other vendors. For more information or a referral to a Microsoft Certified Solution Provider, call (800) 765-7768 between 6:30 A.M. and 5:30 P.M. Pacific time, Monday through Friday, excluding holidays, or visit http://support.microsoft.com/support. For more information on Authorized Support Centers, contact your Microsoft account representative, or visit http://www.microsoft.com/enterprise/asc.htm.

If you need text telephone (TTY/TDD) services

In the United States, call (425) 635-4948, or in Canada, call (905) 568-9641.

Microsoft’s support services are subject to Microsoft prices, terms, and conditions in place at the time the service is used and are subject to change without notice.


If You Need Support Outside the United States and Canada

Microsoft Technical Support Worldwide

If you are outside the United States and have a question about a Microsoft product, first:

  • Check the information in this Help file or the product manual.

  • Check the readme files that come with your product disks or discs. These files provide general information that became available shortly before the product was released.

  • Go to Support Online from Microsoft Technical Support at http://support.microsoft.com/support.

If you cannot find a solution, you can receive information on how to obtain technical support by contacting the Microsoft subsidiary office in your area.

Important Phone numbers for Microsoft Subsidiaries are subject to change. For the most recent listing, see the options and phone number section on the Support Online Web site at http://support.microsoft.com/support. If there is no Microsoft subsidiary office in your country/region, contact the establishment from which you obtained your Microsoft product.

  • Argentina

    Microsoft de Argentina S.A.
    Customer Service: (54) (1) 316-4600
    Fax: (54) (1) 316-4698
    Technical Support: (54) (1) 316-4664

  • Armenia

    See Russia

  • Australia

    Microsoft Pty. Ltd.
    Fax: (61) (02) 9805 1108
    Sales Information Centre: (61) (02) 9870-2100
    Internet: //www.microsoft.com.au/
    Technical Support: (61) (02) 9870-2131
    Fax: (61) (02) 9805 0519

  • Austria

    Microsoft Ges.m.b.H.
    Phone: (+43) 1 610 64 -0
    Fax: (+43) 1 610 64 -200
    Information: 0660-6520
    Prices, updates, etc.: 0660-6520
    Standard Support:
    Installation and Handling: 01 50222-2255
    General information about Support Network in Central Europe:
    Fax: 01805-251191

  • Azerbaijan

    See Russia

  • Belgium

    Microsoft NV
    Phone: +32-2-730 39 11
    Fax: +32-2-726 96 09
    Microsoft Information Center: +32-2-481 52 52
    Bulletin Board: +32-2-726 85 45 (14400/1200/2400/9600 bd, 8N1, ANSI)
    Technical Support:
    +32-2-513 32 74 (Dutch speaking)
    +32-2-502 34 32 (English speaking)
    +32-2-513 22 68 (French speaking)

  • Belorussia

    See Russia

  • Bolivia

    See Argentina

  • Brazil

    Microsoft Informatica Ltda.
    Phone: (55) (11) 5514 -7100
    Fax: (55) (11) 5514 - 7106/5514-7107
    Technical Support: (55) (11) 5506-8087
    Fax: (55) (11) 5506-7621
    Automatic Fax: (55) (11) 5506-8506
    Technical Support Bulletin Board Service: (55) (11) 5506-1234
    Customer Support: (55) (11) 822-5764

  • Canada

    Microsoft Canada Inc.
    Head Office Phone: 1 (905) 568-0434
    Customer Information Centre: 1 (800) 563-9048
    Technical Support:
    Desktop Systems including Microsoft Windows 95: (905) 568-4494
    Microsoft Office and Office Components: (905) 568-2294
    Other Standard Technical Support: (905) 568-3503
    Priority Support Information: (800) 668-7975
    Text Telephone (TTY/TDD) (905) 568-9641
    Technical Support Bulletin Board Service: (905) 507-3022

  • Caribbean

    Microsoft Caribbean, Inc.
    Phone: (809) 273-3600
    Fax: (809) 273-3636
    Technical Support: (214) 714-9100

  • Central America

    See Latin America

  • Chile

    Microsoft Chile S.A.
    Phone: 56-2-330-6000
    Fax: 56-2-330-6190
    Customer Service: 56-2-800-213121
    Personal Operating System and Desktop Applications:
    Phone: 56-2-330-6222
    Fax: 56-2-341-1439

  • People's Republic of China

    Microsoft (China) Co. Ltd
    19th Floor, Metro Tower
    No. 30 Tian Yao Qiao Road
    Shanghai, 200030, P.R.C.
    Phone: 011-86-21-64691166; 011-86-21-64691188
    Fax: 011-86-21-64691188 Ext. 6988

  • Colombia

    Microsoft Colombia
    Phone: (571) 618 2245
    Fax: (571) 618 2269
    Technical Support:
    Línea de Respuesta Microsoft
    Phone: (571) 5230022
    Fax: (571) 5231220
    Voice Mail: (571) 5034216

  • Croatia

    Microsoft Hrvatska d.o.o.
    Phone: (+385) (1) 304 555
    Fax: (+385) (1) 335 051
    Technical Support: (Please, contact the subsidiary.)

  • Czech Republic

    Microsoft s.r.o.
    Phone (+42) (2) 611 97 111
    Fax: (+42) (2) 611 97 100
    Technical Support: (+420) (2) 2150 3222

  • Denmark

    Microsoft Denmark
    Phone: (45) 44 89 01 00
    Fax: (45) 44 68 55 10
    Technical Support:
    Phone: (45) 44 89 01 11
    Microsoft Sales Support: (45) 44 89 01 90
    Microsoft FastTips: (45) 44 89 01 44
    (Document 303030 in FastTips contains detailed instructions)
    Microsoft MSDL (BBS): (45) 44 66 90 46

  • Dominican Republic

    See Central America

  • Dubai

    Microsoft Middle East
    Phone: (971) 4 513 888
    Fax: (971) 4 527 444
    Technical Support:
    Personal Operating Systems and Desktop Applications ONLY:
    Phone: (971) (4) 524 488
    Fax: (971)- 4 - 524 495
    email: mts@emirates.net.ae
    Priority Support Information: (971) (4) 555 752
    Customer Service Center:
    (Version upgrade / TechNet and MSDN subscription)
    Phone: (971) (4) 655 082
    Fax: (971) (4) 655 097

  • Ecuador

    Corporation Microsoft del Ecuador S.A.
    Phone: (593) 2 460-447, (593) (2) 460-451
    Customer Service: (593) (2) 460-453, (593) (2) 460-458
    Technical Support: (593) (2) 463-094

  • Egypt

    Microsoft Egypt
    Phone: +202-418-6101
    Fax: +202-4174766
    Technical Support:
    Personal Operating Systems and Desktop Applications ONLY:
    Phone: (202) 261 3991 / 6
    Fax: (971) 403 2718

  • England

    See United Kingdom

  • Estonia

    See Germany
    Technical Support: (+372) 650 49 99

  • Finland

    Microsoft OY
    Phone: +358-(0) 9-525 501
    Fax: +358-(0) 9-878 8770
    Technical Support:
    Phone: +358-(0) 9-525 502 500
    Sales Support: +358-(0) 9-525 5026
    Microsoft MSDL: +358-(0) 9-878 77 99
    (Information in Swedish and English)
    Microsoft FastTips: +358-(0) 9-525 502 550
    (Information in Swedish and English)

  • France

    Microsoft France
    Phone: (33) 01 69-86-46-46
    Fax: (33) 01 64-46-06-60
    Telex: MSPARIS 604322
    Technical Support:
    Phone: (33) 01-69-86-10-20
    Fax: (33) (01) 69-28-00-28

  • French Polynesia

    See France

  • Georgia

    See Russia

  • Germany

    Microsoft GmbH
    Phone: 089/3176-0
    Fax: 089/3176-1000
    Telex: (17) 89/83 28 MS GMBH D
    Information: 089/3176 1199
    Prices, updates, etc.: 08105-25-1199
    Internet: www.microsoft.com/germany
    Standard Support:
    Installation and Handling: 01805/67 22 55
    General information about Microsoft support in Central Europe: Fax: 1805-25-1191

  • Greece

    Microsoft Hellas, S.A.
    Phone: (30)(1) 6806-775 through (30)(1) 6806-779
    Fax: (30)(1) 6806-780
    Technical Support:
    Phone: (30) (1) 9247-030
    Fax: (30) (1) 9215-363

  • Hong Kong SAR, PRC

    Microsoft Hong Kong SAR,PRC Limited
    Fax: (852) 2560-2217
    Product support Faxback Service: (852) 2535-9293
    Microsoft Club Hotline: (852) 28044277
    Technical Support: (852) 2804-4222

  • Hungary

    Microsoft Hungary
    Phone: +36 (1) 327-2800
    Fax: +36 (1) 327-2899
    Technical Support: +36 (1) 267-4636 (2MSINFO)

  • Iceland

    See Denmark

  • Ireland

    See United Kingdom

  • India

    Microsoft India
    Phone: (011) (91) (80) 5092678, (011) (91) (11) 646 0767, 646 0813
    Fax: (011) (91) (80) 509-2601, (011) (91) (11) 647- 4714

  • Indonesia (SP)

    Microsoft Indonesia - Jakarta
    Technical Support:
    Phone: 62 21 5721060
    Fax: 62 21 5732077

  • Israel

    Microsoft Israel Ltd.
    Phone: 972-3-613-0833
    Fax: 972-3-613-0834

  • Italy

    Microsoft SpA
    Phone: (39) (2) 7039-21
    Fax: (39) (2) 7039-2020
    Microsoft Rome Office: (39) (6) 5095-01 - Fax: (39) (6) 5095-0600
    Microsoft by Fax (Fax-on-demand service): (39) (2) 70-398-888
    Customer Service (New product info, product literature): (39) (2) 70-398-398
    Dealer Support (Customer Service for resellers only): (39) (2) 70-398-388
    Technical Support: (39) (2) 70-398-398
    Microsoft Consulting Service: (39) (2) 7039-21

  • Japan

    Microsoft Company Ltd.
    Technical Support (Standard Support): (81) (424) 41-8700
    (Technical Support options/ Support Contract)
    Phone: 0120-37-0196 (toll free domestic only)
    Channel Marketing Information Center:
    (Presales Product Support)
    Tokyo Phone: (81) (3) 5454-2300
    Osaka Phone: (81) (6) 245-6995
    Customer Service Phone:
    (Version upgrade/Registration)
    Phone: (81) (48) 226-5500
    Fax: (81) (48) 226-5511

  • Kazakhstan

    See Russia

  • Kirgizia

    See Russia

  • Korea

    Microsoft CH
    Phone: (82) (2) 531-4500
    Fax: (82) (2) 531-1724
    Customer Service: 080-022-7337 (toll free domestic only)
    Technical Support:
    Office Technical Support: (82) (2) 508-0040
    Windows Technical Support: (82) (2) 563-0054
    Developer Technical Support: (82) (2) 566-0071
    Microsoft FastTips: (82) (2) 3453-7555
    Support Sales: (82) (2) 531-4544

  • Latin America

    Microsoft
    Latin American Headquarters (U.S.A.)
    Phone: (305) 489-4800
    Fax: (305) 491-1616
    Customer Service: (425) 936-8661
    Technical Support: (214) 714-9100
    http://www.microsoft.com/latam/soporte

  • Liechtenstein

    See Switzerland (German speaking)

  • Luxembourg

    Microsoft NV
    Phone: +32-2-730 39 11
    Microsoft Information Center: +32-2-481 52 52
    Bulletin Board: +32-2-726 85 45
    (1200/2400/9600/14400 bd, 8N1, ANSI)
    Technical Support:
    +32-2-513 32 74 (Dutch speaking)
    +32-2-502 34 32 (English speaking)
    +32-2-513 22 68 (French speaking)

  • Malaysia (SP)

    Microsoft (Malaysia) Sdn Bhd:
    Phone: (60-3) 793-9595
    Fax: (60-3) 791-6080

  • México

    Microsoft México, S.A. de C.V.
    267-2110 Atencion a Distribuidores
    265-3380 Atencion a Clientes
    265-3399 Soporte Sistemas Operativos y Applicaciones de Escritorio
    267-2190 Soporte de Servidores y Herramientas de Desarrollo
    Fast Tips: (52)(5) 2612199
    Microsoft BBS 628-6200/02 MSMEXICO sin password

  • Morocco

    Microsoft Afrique Du Nord
    Phone: (212) 2 47 10 72
    Fax: (212) 2 47 10 86

  • Netherlands

    Microsoft BV
    Phone: 023-5689189
    Customer Service: 023-5677700
    Bulletin Board: 023-5634221
    (1200/2400/9600/14400bd, 8N1, ANSI)
    Technical Support:
    023-5677877 (Dutch speaking)
    023-5677853 (English speaking)

  • New Zealand

    Microsoft New Zealand Ltd
    Phone: 64 (9) 357-5800
    Fax: 64 (9) 358-3726
    Technical Support:
    Phone: 64 (9) 357-5575
    Fax: 64 (9) 307-0516 and 357-5577

  • Northern Ireland

    See United Kingdom

  • Norway

    Microsoft Norway AS
    Phone: +(47) 22 02 25 00
    Fax: +(47) 22 95 06 64
    Technical Support: +(47) 22 02 25 50
    Microsoft Sales Support: +(47) 22 02 25 80
    Microsoft MSDL: +(47) 22 18 22 09
    Microsoft FastTips: +(47) 22 02 25 70
    (Document 404040 in FastTips contains detailed instructions)

  • Papua New Guinea

    See Australia

  • Paraguay

    See Argentina

  • Peru

    See Latin America

  • Philippines (SP)

    Microsoft Philippines
    Phone: 632 811 0062
    Technical Support:
    Phone: 632 892 2295/2495
    Fax: 632 813 2493

  • Poland

    Microsoft Sp. z o.o.
    Phone: +(48-22) 661-54-00
    Fax: +(48-22) 661-54-34
    Information Service: +(48-22) 865-99-33
    Technical Support: +(48-22) 865-99-66

  • Portugal

    Microsoft Portugal MSFT, Lda.
    Phone: (351) 1 4409200
    Fax: (351) 1 4412101
    Technical Support:
    Standard Support: (351) 1 4409280/1/2/3
    Fax: (351) 1 4411655
    Republic of Ireland
    See United Kingdom

  • Romania

    Microsoft s.r.l.
    Phone: (+40) (1) 222 90 16
    Fax: (+40) (1) 222 90 12
    Technical Support: (+40) (1) 312 09 48

  • Russia

    Microsoft A/O
    Microsoft Information Center: (095)-913-99-88

  • Scotland

    See United Kingdom

  • Saudi Arabia

    Microsoft Saudi Arabia
    Phone: +966-1-488-1165
    Fax: +966-1-488-1576
    Technical Support:
    (Personal Operating System and Desktop Applications only):
    Phone: 800 124 0500
    (toll free within Saudi Arabia)
    Fax: 966-1-4740576

  • Singapore

    Microsoft Singapore Pte Ltd
    Phone: (65) 337-6088
    Fax: (65) 337-6788
    Customer Services:
    Phone: (65) 433-5488
    Fax: (65) 339-9958
    Product Support Services:
    Phone: (65) 337-9946
    Fax: (65) 337-6700

  • Slovenia/Slovenija

    Microsoft d.o.o.
    Phone: (+386) (61) 1800 8-00
    Fax: (+386) (61) 1800 822
    Technical Support: (+386) (61) 185 3449

  • Slovak Republic

    Microsoft Slovakia s.r.o.
    Phone (+421) (7) 37 63 02
    Fax: (+421) (7) 37 66 71
    Technical Support: (+421) (7) 531 20 83

  • South Africa

    Microsoft South Africa
    Phone: (27) 11 445 0000
    Fax: (27) 11 445 0046
    Technical Support:
    (Toll Free): 0 802 11 11 04
    (Toll): (27) 11 445 0000
    Fax: (+27) 11 445-0343

  • South East Africa and Indian Ocean Islands

    See South Africa

  • Spain

    Microsoft Iberica SRL
    Phone: (34) 1-807-9999
    Fax: (34) 1-803-8310
    Technical Support: (34) 1 -3754004
    Customer Service: (34) 1-3754004
    Fax Back telephone: (34) 1-3754004

  • Sweden

    Microsoft AB
    Phone: +46-(0)8-752 56 00
    Fax: +46-(0)8-750 51 58
    Technical Support: +46-(0)8- 752 09 29
    Sales Support: +46-(0)8- 752 56 30
    Microsoft MSDL: +46-(0)8-750 47 42
    Microsoft FastTips: +46-(0)8-752 29 00
    (Document 202020 in FastTips contains detailed instructions)

  • Switzerland

    Microsoft AG
    Phone: 01-839 61 11
    Fax: 01-831 08 69
    Prices, updates, etc.: 01/839 61 11
    Documentation:
    Phone: 155 59 00
    Fax: 064-224294, Microsoft Info-Service, Postfach, 8099 Zürich
    Standard Technical Support: Installation and Handling:
    0848 80 - 2255
    Technical support (French speaking): 022-738 96 88
    General information about Microsoft Support in Central Europe:
    FAX: 0049/2622/167006

  • Tadzhikistan

    See Russia

  • Taiwan Region

    Microsoft Taiwan Region Corp.
    Phone: (886) (2) 504-3122
    Fax: (886) (2) 504-3121
    Technical Support: (886) (2) 508-9501

  • Thailand

    Microsoft (Thailand) Limited
    Phone: (662) 266-3300
    Fax: (662) 266-3310
    Product Support:
    Phone: (662) 613-7208 through 11
    Fax: (662) 613-7198

  • Turkey

    Microsoft Turkey
    Phone: 90 (212) 258 59 98
    Fax: 90 (212) 258 59 54
    Support Hotline:
    Phone: 90 (212) 258 96 66
    Fax: 90 (212) 258 95 99
    Bulletin Board Service: 90 (212) 227 93 90

  • Turkmenistan

    See Russia
    United Kingdom
    Microsoft Limited
    Fax: (0870) 60 20 100
    Phone: (0870) 60 10 100
    Microsoft KeyData:
    (Bulletin Board Service)
    (0870) 50 30 200 (up to 28.8Kbaud, n, 8, 1)
    Microsoft KeyFax:
    (Faxback Information Service)
    (0870) 50 30 100
    Technical Support:
    Desktop Applications, Home Products, Desktop Systems and hardware:
    0870 50 10 100
    Developer Products: 0870 50 10 200
    Business Systems: 0870 50 10 300
    Customers phoning from Ireland should dial 706 5353 for technical support.
    Minicom Line 0870 50 30 400
    Pre-Sales Information: Microsoft Connection (0345) 00 2000

  • Uruguay

    Technical Support: (598) (2) 77-4934

  • Uzbekistan

    See Russia

  • Venezuela

    Corporation MS 90 de Venezuela S.A.
    Other information: (582) 265-9922
    Fax: (582) 265-0863
    Technical Support: (582) 993-6755

  • Wales

    See United Kingdom


Topic Not Found

No matching topic was found. Some possible reasons and remedies are as follows:

  • The file (.chm) that contains the destination topic is not in the expected location.

    Remedy: Rerun the MSDN Library Setup.

  • The file (.chm) that contains the current topic or destination topic is out-of-date and the link is no longer valid.

    Remedy: Install the latest version of the MSDN Library.

  • The MSDN Library CD is not in the CD-ROM drive.

    Remedy: Insert the MSDN Library CD into the CD-ROM drive.